Reboot Rtk Module (useful for fixing multipath hysteresis issues)​
GET
/devices/{id}/queueRtkCmd_RebootRtk
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
id*
device id
Type
Requirednumber
Format
"integer"GET
/devices/{id}/queueRtkCmd_RebootRtk
Request example
Responses​
Body (JSON)
application/json
JSON"deviceId": 0,"messageId": 0,"commandType": 0,"created": "string","sent": "string","receivedAck": "string","payload": "string","response": "string","id": 0
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
Try this endpoint
Playground​
Authorization
Variables
Key
Value
OpenAPI definition ​
References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).
View endpoint OpenAPI definition
yaml
openapi: 3.1.0
info:
version: 1.1.0
title: TrackingAPI
description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
- url: https://api.lightbug.cloud/api
externalDocs: {}
security:
- ApiKeyAuth: []
tags: []
paths:
/devices/{id}/queueRtkCmd_RebootRtk:
get:
tags:
- rtk
summary: Reboot Rtk Module (useful for fixing multipath hysteresis issues)
parameters:
- name: id
in: path
description: device id
required: true
schema:
type: number
format: integer
responses:'200':
yaml
description: Body (JSON)
content:
application/json:
schema:
properties:
deviceId:
description: DeviceId recipient
type: number
format: ''
messageId:
description: A unique (per device) message ID for the command. If not supplied, a random 32 bit integer will be assigned. Duplicate messageIds will throw an error.
type: number
format: ''
commandType:
description: Command number. Currently supported SetUpdateRate = 1,AlertNow = 2,AlertWithPrompt = 3,RestartGps = 4,SetPointBufferMaxSize = 5,PromptAction = 6
type: number
format: ''
created:
description: Auto-filled on save, when the command was created in the system
type: string
format: date-time
sent:
description: Set to current time when the command is sent to the device. If multiple resends without ACK, it will reflect the latest send.
type: string
format: date-time
receivedAck:
description: When the server received ACK from device for this messageId
type: string
format: date-time
payload:
description: Associated data for the command
type: string
format: byte
response:
description: If the device transmitted a command response with matching messageId, it will be stored here. Mostly this field will be null.
type: string
format: byte
id:
type: number
format: ''
required:
- deviceId
- commandType
- created
type: objectyaml
deprecated: false
security:
- ApiKeyAuth: []
operationId: get-devices-id-queueRtkCmd-RebootRtk
components:
securitySchemes:
ApiKeyAuth:
in: header
name: Authorization
type: apiKey
description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...